com.amazon.redshift.hostchooser

## Class GlobalHostStatusTracker

- java.lang.Object
- - com.amazon.redshift.hostchooser.GlobalHostStatusTracker

    public class GlobalHostStatusTracker
    extends Object

Keeps track of HostSpec targets in a global map.

### Constructor Summary

Constructors
Constructor and Description
`GlobalHostStatusTracker()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `reportHostStatus(HostSpec hostSpec, HostStatus hostStatus)` Store the actual observed host status.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlobalHostStatusTracker

    public GlobalHostStatusTracker()

### Method Detail

#### reportHostStatus

    public static void reportHostStatus(HostSpec hostSpec,
                                        HostStatus hostStatus)

Store the actual observed host status.

Parameters:
  `hostSpec` - The host whose status is known.
  `hostStatus` - Latest known status for the host.